Skip to main content
POST
Execute a manual workflow for all running servers in a server group

Authorizations

Authorization
string
header
required

JWT sent in Authorization: Bearer . Access depends on the token's network membership and permissions. The admin endpoint requires admin claims.

Headers

X-Network-ID
string
required

Network ID

Query Parameters

server_group_id
string
required

Server Group ID

Body

application/json

Manual workflow execution request

Manual workflow execution request

workflow_id
string
Example:

"internal.cleanup"

Response

OK

Response for executing a manual workflow on all eligible servers in a server group.

failed_servers
object[]
message
string
Example:

"Manual workflow execution completed"

server_group_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

skipped_server_ids
string[]
succeeded_server_ids
string[]
total_servers
integer
Example:

3

workflow_id
string
Example:

"internal.cleanup"